# tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::value_compare Class Reference

List of all members.

## Public Member Functions
bool | operator() (const value_type &left, const value_type &right) const
| value_compare (const hash_compare &comparator)
## Protected Attributes
hash_compare | my_hash_compare
## Friends
class | concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >

### template<typename Key, typename T, typename Hash_compare, typename Allocator, bool Allow_multimapping>
class tbb::interface5::concurrent_unordered_map_traits< Key, T, Hash_compare, Allocator, Allow_multimapping >::value_compare

The documentation for this class was generated from the following file:

- concurrent_unordered_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.